Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.html
Class ListElement

    java.lang.Object
      |
      +--weblogic.html.HtmlElement
            |
            +--weblogic.html.ElementWithAttributes
                  |
                  +--weblogic.html.MultiPartElement
                        |
                        +--weblogic.html.ListElement

Direct Known Subclasses:
  DirList, MenuList, OrderedList, UnorderedList

public abstract class ListElement
extends MultiPartElement

Parent class for various htmlKona lists. A ListElement object is built by adding ListItems or String objects to it. ListItems are accessible by index position.

Author:
  Copyright (c) 1995-97, WebLogic, Inc.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `ListItem`, `DirList`, `MenuList`, `OrderedList`, `UnorderedList`

Fields inherited from class weblogic.html.HtmlElement
`codeset, useObsolete`

Constructor Summary
`ListElement()` Deprecated.

Method Summary
`ListElement` | `addElement(HtmlElement val)` Deprecated. Adds an HtmlElement to a ListElement.
`ListElement` | `addElement(ListItem li)` Deprecated. Adds a ListItem to a ListElement.
`ListElement` | `addElement(java.lang.String str)` Deprecated. Adds a string to a ListElement.
`ListItem` | `getElementAt(int pos)` Deprecated. Gets the ListItem at the specified index position.
`ListElement` | `setCompact()` Deprecated. Sets the COMPACT attribute for a ListElement, including OrderedList, UnorderedList, DirList, and MenuList.

Methods inherited from class weblogic.html.MultiPartElement
`addHeadMultiElement, addMultiElement, getMultiElementAt, getNumElements, printBody, printBody, printBody, removeElement, removeElementAt, replaceElementAt, replaceMultiElementAt, widthAsLiteral`

Methods inherited from class weblogic.html.ElementWithAttributes
`addAttribute, addAttribute, escapeQuotes, getBooleanAttribute, getElementAttribute, getHtmlCode, getLocalVar, getQuotedAttribute, output, output, output, printBody, printCR, printEndingTag, setBooleanAttribute, setBooleanAttribute, setClass, setDirection, setElementAttribute, setElementAttribute, setElementAttribute, setElementAttribute, setElementAttribute, setId, setLang, setLocalVar, setQuotedAttribute, setStyle`

Methods inherited from class weblogic.html.HtmlElement
`asAnchorElement, asBigElement, asBlockquoteElement, asBoldElement, asCenteredElement, asCiteElement, asCodeElement, asCommentElement, asDefineTermElement, asEmphasisElement, asFontElement, asFontElement, asFontElement, asHtmlContainer, asItalicElement, asKeyboardElement, asLiteralElement, asParagraphElement, asSampleElement, asSmallElement, asStrikeElement, asStrongElement, asSubscriptElement, asSuperscriptElement, asTeletypeElement, asUnderlineElement, asVariableElement, getVersion, setAnchorMode, setCodeset, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ListElement

    public ListElement()

  Deprecated.

Method Detail

### addElement

    public ListElement addElement(java.lang.String str)

  Deprecated.
  Adds a string to a ListElement.

  Parameters:
    `str` - Item to be added to the list
  Returns:
    ListElement object

### addElement

    public ListElement addElement(HtmlElement val)

  Deprecated.
  Adds an HtmlElement to a ListElement. Use this method to nest lists.

  Parameters:
    `val` - HtmlElement
  Returns:
    ListElement object

### addElement

    public ListElement addElement(ListItem li)

  Deprecated.
  Adds a ListItem to a ListElement.

  Parameters:
    `li` - ListItem
  Returns:
    ListElement object

### getElementAt

    public ListItem getElementAt(int pos)

  Deprecated.
  Gets the ListItem at the specified index position.

  Parameters:
    `pos` - Index position of list item
  Returns:
    ListItem object

### setCompact

    public ListElement setCompact()

  Deprecated.
  Sets the COMPACT attribute for a ListElement, including OrderedList, UnorderedList, DirList, and MenuList. Note that not all browsers support this attribute.

  Returns:
    ListElement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD